
SCM Creator (+Github) - Bug #2047

Internal Error on repository creation in Redmine 1.4.2

08 Jun 2012 11:06 - Martin Corino

Status: Closed Start date: 08 Jun 2012

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 1.4.2 External issue:  

Description

When attempting to create a new repository with the same path as an already earlier created repository (multipe repos in one project)

Redmine crashes and displays an Internal Error.

As SCM Creator already overloaded standard Redmine behaviour by automatically proposing a different pathname on a new

repository I expected SCM Creator to return a validation error when I forced the path to be identical to an existing repository. It

seems however that Redmine 1.4.2 compatibility is not 100% though.

History

#1 - 08 Jun 2012 12:24 - Andriy Lesyuk

- Status changed from New to Incomplete

- Assignee set to Andriy Lesyuk

What revision did you use?

#2 - 08 Jun 2012 12:33 - Martin Corino

Andriy Lesyuk wrote:

What revision did you use?

 

Revision r94

#3 - 08 Jun 2012 12:36 - Andriy Lesyuk

Please try updating to the latest

#4 - 09 Jun 2012 10:39 - Andriy Lesyuk

- Target version deleted (0.4.0)

This issue is unconfirmed - please update as soos as you test the recent code.

#5 - 19 Jun 2012 09:51 - Andriy Lesyuk

This should be fixed already...

#6 - 19 Jun 2012 14:50 - Martin Corino

Andriy Lesyuk wrote:
http://projects.andriylesyuk.com/projects/scm-creator/repository/revisions/94


This should be fixed already...

 

Unfortunately I cannot confirm at the moment since there was no time anymore to update the system before it was rolled out. The problem is currently

worked around.

#7 - 19 Jun 2012 23:43 - Andriy Lesyuk

Ok, closing this issue then... Please reopen if you will experience it again.

#8 - 19 Jun 2012 23:44 - Andriy Lesyuk

- Status changed from Incomplete to Closed
